summaryrefslogtreecommitdiffstats
path: root/tests/sys/geom/class/nop/1_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/sys/geom/class/nop/1_test.sh')
-rw-r--r--tests/sys/geom/class/nop/1_test.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/tests/sys/geom/class/nop/1_test.sh b/tests/sys/geom/class/nop/1_test.sh
new file mode 100644
index 0000000..4d6b65d
--- /dev/null
+++ b/tests/sys/geom/class/nop/1_test.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+# $FreeBSD$
+
+. `dirname $0`/conf.sh
+
+echo "1..1"
+
+us=$(attach_md -t malloc -s 1M) || exit 1
+
+gnop create /dev/${us} || exit 1
+
+# Size of created device should be 1MB.
+
+size=`diskinfo /dev/${us}.nop | awk '{print $3}'`
+
+if [ $size -eq 1048576 ]; then
+ echo "ok 1"
+else
+ echo "not ok 1"
+fi
OpenPOWER on IntegriCloud